Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.value
Class ConverterFactory.FloatToIntegerConverter

    java.lang.Object
      com.jgoodies.binding.value.ConverterFactory.FloatToIntegerConverter

All Implemented Interfaces:
  BindingConverter

Enclosing class:
  ConverterFactory

    public static final class ConverterFactory.FloatToIntegerConverter

extends Object
implements BindingConverter

Converts Floats to Integers and vice-versa.

Method Summary
`Object` | `sourceValue(Object sourceValue)` Converts a `Float` using the multiplier and sets it as new value.
`Object` | `targetValue(Object sourceValue)` Converts the subject's value and returns a corresponding `Integer` using the multiplier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### targetValue

    public Object targetValue(Object sourceValue)

  Converts the subject's value and returns a corresponding `Integer` using the multiplier.

  Specified by:
    `targetValue` in interface `BindingConverter`
  Parameters:
    `sourceValue` - the subject's value
  Returns:
    the converted subjectValue
  Throws:
    `ClassCastException` - if the subject value is not of type `Float`

### sourceValue

    public Object sourceValue(Object sourceValue)

  Converts a `Float` using the multiplier and sets it as new value.

  Specified by:
    `sourceValue` in interface `BindingConverter`
  Parameters:
    `sourceValue` - the `Integer` object that shall be converted
  Returns:
    the converted value
  Throws:
    `ClassCastException` - if the new value is not of type `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.